Upstream information

CVE-2011-2696 at MITRE

Description

Integer overflow in libsndfile before 1.0.25 allows remote attackers to cause a denial of service (application crash) or possibly execute arbitrary code via a crafted PARIS Audio Format (PAF) file that triggers a heap-based buffer overflow.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entry: 705681 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP1
SUSE Linux Enterprise Server 12 SP1
  • libsndfile1 >= 1.0.25-21.1
  • libsndfile1-32bit >= 1.0.25-21.1
SUSE Linux Enterprise Desktop 12 SP2
SUSE Linux Enterprise Server 12 SP2
  • libsndfile1 >= 1.0.25-25.1
  • libsndfile1-32bit >= 1.0.25-25.1
SUSE Linux Enterprise Desktop 12 SP3
SUSE Linux Enterprise Server 12 SP3
  • libsndfile1 >= 1.0.25-35.1
  • libsndfile1-32bit >= 1.0.25-35.1
SUSE Linux Enterprise Desktop 12 SP4
SUSE Linux Enterprise High Performance Computing 12 SP5
SUSE Linux Enterprise Server 12 SP4
SUSE Linux Enterprise Server 12 SP5
  • libsndfile1 >= 1.0.25-36.16.1
  • libsndfile1-32bit >= 1.0.25-36.16.1
SUSE Linux Enterprise Desktop 12
SUSE Linux Enterprise Server 12
  • libsndfile1 >= 1.0.25-18.75
  • libsndfile1-32bit >= 1.0.25-18.75
SUSE Linux Enterprise Module for Basesystem 15 SP1
SUSE Linux Enterprise Module for Basesystem 15 SP2
SUSE Linux Enterprise Module for Basesystem 15 SP3
  • libsndfile-devel >= 1.0.28-5.5.1
  • libsndfile1 >= 1.0.28-5.5.1
SUSE Linux Enterprise Module for Basesystem 15
  • libsndfile-devel >= 1.0.28-3.24
  • libsndfile1 >= 1.0.28-3.24
SUSE Linux Enterprise Module for additional PackageHub packages 15 SP2
SUSE Linux Enterprise Module for additional PackageHub packages 15 SP3
  • libsndfile1-32bit >= 1.0.28-5.5.1
SUSE Linux Enterprise Server 11 SP1
  • libsndfile >= 1.0.20-2.4.1
  • libsndfile-32bit >= 1.0.20-2.4.1
  • libsndfile-x86 >= 1.0.20-2.4.1
Patchnames:
slessp1-libsndfile
SUSE Linux Enterprise Server 11 SP2
SUSE Linux Enterprise Server 11 SP3
  • libsndfile >= 1.0.20-2.4.1
  • libsndfile-32bit >= 1.0.20-2.4.1
  • libsndfile-x86 >= 1.0.20-2.4.1
SUSE Linux Enterprise Server 11 SP4
  • libsndfile >= 1.0.20-2.6.5
  • libsndfile-32bit >= 1.0.20-2.6.5
  • libsndfile-x86 >= 1.0.20-2.6.5
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • libsndfile1 >= 1.0.25-25.1
SUSE Linux Enterprise Software Development Kit 11 SP4
  • libsndfile-devel >= 1.0.20-2.6.5
SUSE Linux Enterprise Software Development Kit 12 SP1
  • libsndfile-devel >= 1.0.25-21.1
SUSE Linux Enterprise Software Development Kit 12 SP2
  • libsndfile-devel >= 1.0.25-25.1
SUSE Linux Enterprise Software Development Kit 12 SP3
  • libsndfile-devel >= 1.0.25-35.1
SUSE Linux Enterprise Software Development Kit 12 SP4
SUSE Linux Enterprise Software Development Kit 12 SP5
  • libsndfile-devel >= 1.0.25-36.16.1
SUSE Linux Enterprise Software Development Kit 12
  • libsndfile-devel >= 1.0.25-18.75
openSUSE Leap 15.0
  • libsndfile1 >= 1.0.28-lp150.2.5
Patchnames:
openSUSE Leap 15.0 GA libsndfile1-1.0.28-lp150.2.5
openSUSE Tumbleweed
  • libsndfile-devel >= 1.0.26-2.4
  • libsndfile-progs >= 1.0.26-2.4
  • libsndfile1 >= 1.0.26-2.4
  • libsndfile1-32bit >= 1.0.26-2.4
Patchnames:
openSUSE Tumbleweed GA libsndfile-devel-1.0.26-2.4
openSUSE Tumbleweed GA libsndfile-progs-1.0.26-2.4


First public cloud image revisions this CVE is fixed in:


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SLED-10-SP3 libsndfile Released
SLED-10-SP4 libsndfile Released
SLES for SAP Applications libsndfile Released
SLES-10-SP3 libsndfile Released
SLES-10-SP4 libsndfile Released
SLES_LTSS-10-SP4 libsndfile Released
SUSE Linux Enterprise Desktop 11 SP1 libsndfile Released
SUSE Linux Enterprise Desktop 11 SP2 libsndfile Released
SUSE Linux Enterprise Desktop 11 SP3 libsndfile Released
SUSE Linux Enterprise Desktop 11 SP4 libsndfile Released
SUSE Linux Enterprise Enterprise Server 11 SP1 for SAP Enterprise Search libsndfile Released
SUSE Linux Enterprise Server 11 SP1 libsndfile Released
SUSE Linux Enterprise Server 11 SP1 LTSS libsndfile Released
SUSE Linux Enterprise Server 11 SP2 libsndfile Released
SUSE Linux Enterprise Server 11 SP2 LTSS libsndfile Released
SUSE Linux Enterprise Server 11 SP2 for VMware libsndfile Released
SUSE Linux Enterprise Server 11 SP3 libsndfile Released
SUSE Linux Enterprise Server 11 SP3 LTSS libsndfile Released
SUSE Linux Enterprise Server 11 SP3 for VMware libsndfile Released
SUSE Linux Enterprise Server 11 SP4 libsndfile Released
SUSE Linux Enterprise Server 11 SP4 LTSS libsndfile Released
SUSE Linux Enterprise Server for SAP Business All-in-One 11 SP1 libsndfile Released
SUSE Linux Enterprise Software Development Kit 11 SP1 libsndfile Released
SUSE Linux Enterprise Software Development Kit 11 SP2 libsndfile Released
SUSE Linux Enterprise Software Development Kit 11 SP3 libsndfile Released
SUSE Linux Enterprise Software Development Kit 11 SP4 libsndfile Released